%define lib_name lib%name

Name: SDL_image
Version: 1.2.2
Release: alt3

Summary: Simple DirectMedia Layer - image
Group: System/Libraries
License: LGPL
Url: http://www.devolution.com/~slouken/SDL/projects/SDL_image
Source0: %name-%version.tar.bz2

%define SDL_ver 1.2.0
# Automatically added by buildreq on Tue Oct 01 2002
BuildRequires: XFree86-devel XFree86-libs aalib-devel directfb-devel esound-devel glibc-devel-static libSDL-devel libalsa2-devel libarts-devel libaudiofile-devel libdirectfb libjpeg-devel libpng-devel libslang libtiff-devel zlib-devel

BuildRequires: libSDL-devel >= %SDL_ver 

%description
This is a simple library to load images of various formats as SDL surfaces.
This library currently supports BMP, PPM, PCX, GIF, JPEG, and PNG formats.

This package contains the binary `sdlshow' to test the library.

%package -n %lib_name
Summary: Main library for %name
Group: System/Libraries
Requires: libSDL >= %SDL_ver 

%description -n %lib_name
This package contains the library needed to run programs dynamically
linked with %name.

%package -n %lib_name-devel
Summary: Headers for developing programs that will use %name
Group: Development/C
Requires: %lib_name = %version-%release

%description -n %lib_name-devel
This package contains the headers that programmers will need to develop
applications which will use %name.

%package -n %lib_name-devel-static
Summary: Static libraries for developing programs that will use %name
Group: Development/C
Requires: %lib_name-devel = %version-%release

%description -n %lib_name-devel-static
This package contains static libraries that programmers will need to develop
applications which will use %name.

%package -n %lib_name-test
Summary: Test binary for %name
Group: System/Libraries
Requires: %lib_name = %version-%release

%description -n %lib_name-test
This package contains binary to test the associated library.

%prep
%setup -q

%build
%configure --enable-bmp \
	--enable-gif \
	--enable-jpg \
	--enable-pcx \
	--enable-png \
	--enable-ppm \
	--enable-tif \
	--enable-xpm

%make_build

%install
%makeinstall
%__mv $RPM_BUILD_ROOT/%_bindir/showimage $RPM_BUILD_ROOT/%_bindir/sdlshow

%post -n %lib_name -p /sbin/ldconfig
%postun -n %lib_name -p /sbin/ldconfig

%files -n %lib_name
%_libdir/*.so.*

%files -n %lib_name-devel
%_libdir/*.la
%_libdir/*.so
%_includedir/SDL/*
%doc README CHANGES

%files -n %lib_name-devel-static
%_libdir/*.a

%files -n %lib_name-test
%_bindir/*
%doc README

%changelog
* Tue Oct 01 2002 Rider <rider@altlinux.ru> 1.2.2-alt3
- Automatically fixed BuildRequires.

* Mon Sep 23 2002 Rider <rider@altlinux.ru> 1.2.2-alt2
- rebuild (gcc 3.2)

* Fri Jun 07 2002 Konstantin Volckov <goldhead@altlinux.ru> 1.2.2-alt1
- 1.2.2

* Thu May 23 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.2.1-alt2
- Rebuilt (wrong dependence on oldalsa fixed, libSDL requires libalsa2) 
- Automatically added BuildRequires.
- specfile cleanups

* Sat Feb 09 2002 Rider <rider@altlinux.ru> 1.2.1-alt1
- 1.2.1

* Sat Oct 20 2001 Rider <rider@altlinux.ru> 1.2.0-alt3
- BuildRequires fix

* Thu Oct 11 2001 AEN <aen@logic.ru> 1.2.0-alt2
- rebuilt with libpng.so.3

* Fri Aug 17 2001 Rider <rider@altlinux.ru> 1.2.0-alt1
- 1.2.0

* Thu Apr  5 2001 2001 Kostya Timoshenko <kt@altlinux.ru> 1.1.0-ipl5mdk
- Rebuild with SDL-1.2.0
- Moved static libraries to devel-static subpackage.

* Wed Mar 14 2001 Kostya Timoshenko <kt@petr.kz> 1.1.0-ipl4mdk
- Libification.

* Wed Dec 27 2000 Kostya Timoshenko <kt@petr.kz> 1.1.0-ipl3mdk
- Rebuild for RE

* Fri Dec  1 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.1.0-3mdk
- 1.1.0
- better new lib policy, do not generate anymore an ambiguous package
  containing binaries but with the old lib name

* Wed Nov 29 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0.10-2mdk
- new lib policy

* Sat Nov  4 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0.10-1mdk
- 1.0.10
- macros

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.0.9-2mdk
- automatically added BuildRequires

* Fri Jul 14 2000 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.0.9-1mdk
- updated version.
- added BuildPreReq.

* Fri Jun 23 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.0.6-1mdk
- v1.0.6

* Tue Apr 11 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0.4-2mdk
- added url
- fixed group
- some minor package build fixes
- built against stable SDL version, previous was using 1.1.x devel

* Fri Feb 11 2000 Lenny Cartier <lenny@mandrakesoft.com>
- v1.0.4
- used the specfile provided by Hakan Tandogan <hakan@iconsult.com>

* Tue Jan 18 2000 Hakan Tandogan <hakan@iconsult.com>
- initial spec file
- renamed usr/bin/show to sdlshow because of conflict with mh

